From 468063fb6998d66b98095fd1c113929c7b2e4b7d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 19 2020 22:56:58 +0000
Subject: [PATCH 1459/2232] Add failing test of extern enum used as struct field


Currently fails with:

    error[cxxbridge]: needs a cxx::ExternType impl in order to be used as a field of `Second`
        ┌─ lib.rs:222:9
        │
    222 │         type COwnedEnum;
        │         ^^^^^^^^^^^^^^^ needs a cxx::ExternType impl in order to be used as a field of `Second`

which is wrong because the bridge should know it's producing a
compatible ExternType impl for this type.

---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index c408fb0..032adc4 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -113,6 +113,7 @@ pub mod ffi {
     #[namespace = "second"]
     struct Second {
         i: i32,
+        e: COwnedEnum,
     }
 
     unsafe extern "C++" {

